Package org.eclipse.net4j.util.concurrent

# Interface ICorrelator<CORRELATION,VALUE>

All Known Implementing Classes:
  `SynchronizingCorrelator`

public interface ICorrelator<CORRELATION,VALUE>

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`VALUE`
`correlate(CORRELATION correlation)`
`VALUE`
`correlateUnique(CORRELATION correlation)`
`boolean`
`isCorrelated(CORRELATION correlation)`
`VALUE`
`uncorrelate(CORRELATION correlation)`

## Method Details

### isCorrelated

boolean isCorrelated(CORRELATION correlation)

### correlate

VALUE correlate(CORRELATION correlation)

### correlateUnique

VALUE correlateUnique(CORRELATION correlation)

### uncorrelate

VALUE uncorrelate(CORRELATION correlation)